Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class AbstractGroovyPageBinding.GroovyPageBindingMap

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding.GroovyPageBindingMap

All Implemented Interfaces:
  java.util.Map

    protected static final class AbstractGroovyPageBinding.GroovyPageBindingMap

Constructor Summary
`AbstractGroovyPageBinding.GroovyPageBindingMap(AbstractGroovyPageBinding binding)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set` | `entrySet()`
`java.lang.Object` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map m)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractGroovyPageBinding.GroovyPageBindingMap

    public AbstractGroovyPageBinding.GroovyPageBindingMap(AbstractGroovyPageBinding binding)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(java.lang.Object key)

### containsValue

    public boolean containsValue(java.lang.Object value)

### entrySet

    public java.util.Set entrySet()

### get

    public java.lang.Object get(java.lang.Object key)

### isEmpty

    public boolean isEmpty()

### keySet

    public java.util.Set keySet()

### put

    public java.lang.Object put(java.lang.Object key, java.lang.Object value)

### putAll

    public void putAll(java.util.Map m)

### remove

    public java.lang.Object remove(java.lang.Object key)

### size

    public int size()

### values

    @java.lang.SuppressWarnings("unchecked")
    public java.util.Collection values()

Groovy Documentation